#! /bin/bash
export TEX=latex
echo \\documentclass[twocolumn]{article}\
     \\usepackage[dvips]{epsfig}\
     \\begin{document}\
     \\title{FeatPost Exemplifier}\
     \\author{L. Nobre G.}\
     \\date{\\today}\
     \\maketitle\
     \\begin{center}\
     > FeatPostExemplifier.tex
for a in example/*.mp 
do
  b=`basename $a .mp`
  mpost example/$b
  for c in $b.?
  do
    echo \\vfill\
      \\begin\{tabular\}\{c\}\
      \\epsfig\{file=$c\,width=0.9\\columnwidth\} \\\\\
      \\texttt\{$c\}\
      \\end\{tabular\} \\\\ >> FeatPostExemplifier.tex
  done
done
echo \\end{center}\\end{document} >> FeatPostExemplifier.tex
latex FeatPostExemplifier.tex
dvips -o FeatPostExemplifier.ps FeatPostExemplifier.dvi
bzip2 FeatPostExemplifier.ps
rm FeatPostExemplifier.aux
rm FeatPostExemplifier.dvi
rm FeatPostExemplifier.tex
mv FeatPostExemplifier.ps.bz2 doc/
rm *.?.PS *.?.aux *.?.latex *.?.dvi *.log *.?.mgk *.?.orig
rm example/*.mpx *.mpx
mkdir allps
mv *.? allps/
cd doc
pdflatex featpostmanual.tex
pdflatex featpostmanual.tex
pdflatex featpostbeamer.tex
pdflatex featpostbeamer.tex
pdflatex metapostpropaganda.tex
pdflatex metapostpropaganda.tex


